Package Details: scalpel-git r31.35e1367-1

Git Clone URL: https://aur.archlinux.org/scalpel-git.git (read-only, click to copy)
Package Base: scalpel-git
Description: Recover files based on their headers, footers and internal data structures. This program is based on Foremost.
Upstream URL: https://github.com/sleuthkit/scalpel
Licenses: Apache
Conflicts: scalpel
Provides: scalpel
Submitter: m3tamantra
Maintainer: willemw
Last Packager: willemw
Votes: 77
Popularity: 0.001191
First Submitted: 2014-05-24 13:25
Last Updated: 2021-06-25 13:21

Dependencies (2)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 Next › Last »

pmedina commented on 2014-10-22 14:53

Got an error while trying to install;

/usr/bin/makepkg: line 543: git: command not found

After installing 'git' everything works fine but shouldn't this package be listed under the dependencies?

stevenhoneyman commented on 2014-06-19 17:52

That's better, thanks!

P.S. next time you update, the license is wrong. It is Apache 2.0 License, not GPL2

m3tamantra commented on 2014-06-17 12:25

Thank you stevenhoneyman and willemw for the help.
Packet is updated :-)

willemw commented on 2014-06-17 10:53

This should fix it:
sed -i 's|#define[ \t]*SCALPEL_DEFAULT_CONFIG_FILE[ \t]*"scalpel.conf"|#define SCALPEL_DEFAULT_CONFIG_FILE "/etc/scalpel/scalpel.conf"|' src/scalpel.h

install -Dm644 scalpel.conf "${pkgdir}/etc/scalpel/scalpel.conf"

stevenhoneyman commented on 2014-06-16 22:52

Hi,

This is a bit broken. Your regex doesn't work (at all), and the config file is copied to the wrong directory name.

m3tamantra commented on 2014-05-31 09:14

Hi aksr,
don't know what this error means.
Maybe you should ask the project owner
=> https://github.com/sleuthkit/scalpel/

aksr commented on 2014-05-29 10:51

Hi, I get this error:
http://privatepaste.com/7bef511000

m3tamantra commented on 2014-05-25 10:54

Ok thanks for the info.
Now it should work.

willemw commented on 2014-05-25 09:00

Sorry, doesn't install:
pacaur -S scalpel-git
:: Could not read scalpel-git PKGBUILD: badly packaged tarball

Please use 'makepkg -S' before submitting (see https://github.com/Spyhawk/pacaur/issues/113).

willemw commented on 2014-05-24 10:44

To be correct, this package should be called scalpel-git (or it should download a specific version of scalpel).